package com.sun.corba.se.impl.orbutil;

import java.security.PrivilegedAction;

public class GetPropertyAction implements PrivilegedAction
{
    private String theProp;
    private String defaultVal;
    
    public GetPropertyAction(String theProp) {
        this.theProp = theProp;
    }
    
    public GetPropertyAction(String theProp, String defaultVal) {
        this.theProp = theProp;
        this.defaultVal = defaultVal;
    }
    
    @Override
    public Object run() {
        String property = System.getProperty(this.theProp);
        return (property == null) ? this.defaultVal : property;
    }
}
